GuiceAnnotationIntrospector (Jackson module: Guice 2.10.0 API)
Date: 2019-09-25

com.fasterxml.jackson.module.guice

## Class GuiceAnnotationIntrospector

- java.lang.Object
- - com.fasterxml.jackson.databind.AnnotationIntrospector
  - - com.fasterxml.jackson.databind.introspect.NopAnnotationIntrospector
    - - com.fasterxml.jackson.module.guice.GuiceAnnotationIntrospector

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Serializable

      public class GuiceAnnotationIntrospector
      extends com.fasterxml.jackson.databind.introspect.NopAnnotationIntrospector

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.AnnotationIntrospector

      `com.fasterxml.jackson.databind.AnnotationIntrospector.ReferenceProperty`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.introspect.NopAnnotationIntrospector

      `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiceAnnotationIntrospector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.fasterxml.jackson.annotation.JacksonInject.Value` | `findInjectableValue(com.fasterxml.jackson.databind.introspect.AnnotatedMember m)`
    `Object` | `findInjectableValueId(com.fasterxml.jackson.databind.introspect.AnnotatedMember m)` Deprecated.

    - ### Methods inherited from class com.fasterxml.jackson.databind.introspect.NopAnnotationIntrospector

      `version`

    - ### Methods inherited from class com.fasterxml.jackson.databind.AnnotationIntrospector

      `_findAnnotation, _hasAnnotation, _hasOneOf, allIntrospectors, allIntrospectors, findAndAddVirtualProperties, findAutoDetectVisibility, findClassDescription, findContentDeserializer, findContentSerializer, findCreatorAnnotation, findCreatorBinding, findDefaultEnumValue, findDeserializationContentConverter, findDeserializationContentType, findDeserializationConverter, findDeserializationKeyType, findDeserializationType, findDeserializer, findEnumValue, findEnumValues, findFilterId, findFormat, findIgnoreUnknownProperties, findImplicitPropertyName, findKeyDeserializer, findKeySerializer, findMergeInfo, findNameForDeserialization, findNameForSerialization, findNamingStrategy, findNullSerializer, findObjectIdInfo, findObjectReferenceInfo, findPOJOBuilder, findPOJOBuilderConfig, findPropertiesToIgnore, findPropertiesToIgnore, findPropertyAccess, findPropertyAliases, findPropertyContentTypeResolver, findPropertyDefaultValue, findPropertyDescription, findPropertyIgnorals, findPropertyInclusion, findPropertyIndex, findPropertyTypeResolver, findReferenceType, findRootName, findSerializationContentConverter, findSerializationContentType, findSerializationConverter, findSerializationInclusion, findSerializationInclusionForContent, findSerializationKeyType, findSerializationPropertyOrder, findSerializationSortAlphabetically, findSerializationType, findSerializationTyping, findSerializer, findSetterInfo, findSubtypes, findTypeName, findTypeResolver, findUnwrappingNameTransformer, findValueInstantiator, findViews, findWrapperName, hasAnyGetter, hasAnyGetterAnnotation, hasAnySetter, hasAnySetterAnnotation, hasAsValue, hasAsValueAnnotation, hasCreatorAnnotation, hasIgnoreMarker, hasRequiredMarker, isAnnotationBundle, isIgnorableType, isTypeId, nopInstance, pair, refineDeserializationType, refineSerializationType, resolveSetterConflict`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiceAnnotationIntrospector

          public GuiceAnnotationIntrospector()

  - ### Method Detail

    - #### findInjectableValue

          public com.fasterxml.jackson.annotation.JacksonInject.Value findInjectableValue(com.fasterxml.jackson.databind.introspect.AnnotatedMember m)

      Overrides:
        `findInjectableValue` in class `com.fasterxml.jackson.databind.AnnotationIntrospector`

    - #### findInjectableValueId

          @Deprecated
          public Object findInjectableValueId(com.fasterxml.jackson.databind.introspect.AnnotatedMember m)

      Deprecated.
      Overrides:
        `findInjectableValueId` in class `com.fasterxml.jackson.databind.AnnotationIntrospector`

Copyright © 2019 FasterXML. All rights reserved.